Main Page | Modules | Class List | Directories | File List | Class Members | File Members | Related Pages

# _tds_cursor Struct Reference

Holds informations about a cursor. More...

`#include <tds.h>`

List of all members.

## Public Attributes
TDS_INT | concurrency
| row fetched from this cursor
TDS_INT | cursor_id
| cursor id returned by the server after cursor declare
char * | cursor_name
| name of the cursor
TDS_TINYINT | cursor_name_len
| length of cursor name > 0 and <= 30
TDS_INT | cursor_rows
| number of cursor rows to fetch
TDS_TINYINT | hasargs
| cursor parameters exists ?
_tds_cursor * | next
| next in linked list, keep first
TDS_TINYINT | options
| read only|updatable
char * | query
| SQL query.
TDS_USMALLINT | query_len
| SQL query length.
TDS_INT | ref_count
| reference counter so client can retain safely a pointer
TDSRESULTINFO * | res_info
TDS_SMALLINT | srv_status
TDS_CURSOR_STATUS | status
| cursor parameter
TDS_INT | type
| row fetched from this cursor

## Detailed Description

Holds informations about a cursor.

The documentation for this struct was generated from the following file:

- include/tds.h